**Before submitting a pull request,** please make sure the following is done:

1. Fork [the repository](https://github.com/facebook/react) and create your branch from `master`.
2. Run `yarn` in the repository root.
3. If you've fixed a bug or added code that should be tested, add tests!
4. Ensure the test suite passes (`yarn test`). Tip: `yarn test --watch TestName` is helpful in development.
5. Run `yarn test-prod` to test in the production environment. It supports the same options as `yarn test`.
6. Format your code with [prettier](https://github.com/prettier/prettier) (`yarn prettier`).
7. Make sure your code lints (`yarn lint`). Tip: `yarn linc` to only check changed files.
8. Run the [Flow](https://flowtype.org/) typechecks (`yarn flow`).
9. If you haven't already, complete the CLA.

**Learn more about contributing:** https://reactjs.org/docs/how-to-contribute.html
